package de.hdm_stuttgart.mi.sd1.figure.model;

public class Circle extends Figure {

   private double radius;
   
   public Circle(double x, double y, double radius) {
      super(x, y);
      setRadius(radius);
   }
   
   /**
    * @return The circle's area.
    */
   public double getArea() {
     return radius * radius * Math.PI;
   }

   /**
    * @return The circle's perimeter.
    */
   public double getPerimeter() {
     return 2 * Math.PI * radius;
   }

   // Getter and setter methods for private attribute
   public double getRadius() { return radius;}
   public void setRadius(double radius) { this.radius = radius;}
}
